<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:define name="body">
		<h:form id="globalForm">
			<h1>#{messages['net.ihe.gazelle.cdagen.CDAObjectType']}</h1>
			<gri:panel>
				<f:facet name="header">#{messages['net.ihe.gazelle.cdagen.CDAObjectType']}</f:facet>
				<rich:dataTable id="ObjectTypeTable" var="currentCDAObjectType"
					value="#{cdaObjectTypeManager.foundCDAObjectTypes}"
					rowKeyVar="rowNumber"
					onRowMouseOver="this.style.backgroundColor='#94C2E6'"
					onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}'"
					rows="#{userManagerExtraBean.selectedUserPreferences.numberOfResultsPerPage}"
					render="ds">
					<g:column id="ObjectTypeIdColumn" sortBy="#{'id'}"
						sortOrder="ascending">
						<ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Id']}</ui:define>
						<h:outputText value="#{currentCDAObjectType.id}" />
					</g:column>
					<g:column id="ObjectTypeKeywordColumn" filterBy="#{'keyword'}"
						filterEvent="onkeyup" sortBy="#{'keyword'}" sortOrder="ascending"
						filterValue="#{dataTableStateHolder.columnFilterValues['keyword']}">
						<ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Keyword']}</ui:define>
						<h:outputText value="#{currentCDAObjectType.keyword}" />
					</g:column>
					<g:column id="DescriptionOTColumn">
						<ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Description_2']}</ui:define>
						<h:outputText value="#{currentCDAObjectType.description}" />
					</g:column>
					<g:column>
						<ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Action']}</ui:define>
						<center>
							<a4j:commandLink id="viewButt"
								action="#{cdaObjectTypeManager.setSelectedCDAObjectType(currentCDAObjectType)}"
								oncomplete="jq162('#ViewSelectedCDAObjectType').modal('show');"
								render="ViewSelectedCDAObjectTypeWrapp">
								<span class="gzl-icon-search"></span>
							</a4j:commandLink>
						</center>
					</g:column>
					<ui:include src="/tableFooter.xhtml" />
				</rich:dataTable>
			</gri:panel>
			
			<s:div id="ViewSelectedCDAObjectTypeWrapp">
			<gri:popupPanel id="ViewSelectedCDAObjectType">
				<f:facet name="header">
					<h:outputText
						value="#{cdaObjectTypeManager.selectedCDAObjectType.keyword} :#{cdaObjectTypeManager.selectedCDAObjectType.description}" />
				</f:facet>
				<div style="width: 98%; overflow: auto;">
					<ul class="nav nav-tabs" role="tablist">
						<li role="presentation" class="active">
							<a href="#globalvariablestab" aria-controls="home" role="tab" data-toggle="tab">#{messages['net.ihe.gazelle.cdagen.Summary']}</a>
						</li>
						<li role="presentation">
							<a href="#AddACreatorPanel" aria-controls="profile" role="tab" data-toggle="tab">#{messages['net.ihe.gazelle.cdagen.Creators']}</a>
						</li>
					</ul>
					<div class="tab-content tab-content-with-border">
						<div role="tabpanel" class="tab-pane active" id="globalvariablestab">
							<gri:display label="keyword">
							    <h:outputText
									value="#{cdaObjectTypeManager.selectedCDAObjectType.keyword}" />
							</gri:display>
							<br />
							<gri:display label="description">
							    <h:outputText value="#{cdaObjectTypeManager.selectedCDAObjectType.description}" />
							</gri:display>
							<br />
							<gdk:spacer height="2" />
						</div>
						<div role="tabpanel" class="tab-pane" id="AddACreatorPanel">
							<br />
							<rich:dataTable id="listObjectTypeCreators" var="currentAIPO"
								value="#{cdaObjectTypeManager.selectedCDAObjectType.actorIntegrationProfileOptions}"
								onRowMouseOver="this.style.backgroundColor='#94C2E6'"
								onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}'"
								rowKeyVar="rowNumber" rows="8">
								<g:column id="currentAIPOId" sortBy="#{currentAIPO.id}"
									sortOrder="ascending">
									<ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Id']}</ui:define>
									<h:outputText value="#{currentAIPO.id}" />
								</g:column>
								<g:column id="currentAIPOProfile"
									sortBy="#{currentAIPO.actorIntegrationProfile.integrationProfile.name}"
									sortOrder="ascending">
									<ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Profile']}</ui:define>
									<h:outputText
										value="#{currentAIPO.actorIntegrationProfile.integrationProfile.name}" />
								</g:column>
								<g:column id="currentAIPOActor"
									sortBy="#{currentAIPO.actorIntegrationProfile.actor.name}"
									sortOrder="ascending">
									<ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Actor']}</ui:define>
									<h:outputText
										value="#{currentAIPO.actorIntegrationProfile.actor.name}" />
								</g:column>
								<g:column id="currentAIPOOption"
									sortBy="#{currentAIPO.integrationProfileOption.name}"
									sortOrder="ascending">
									<ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Option']}</ui:define>
									<h:outputText
										value="#{currentAIPO.integrationProfileOption.name}" />
								</g:column>
								<f:facet name="footer">
									<rich:dataScroller maxPages="10"
										renderIfSinglePage="false" />
								</f:facet>
							</rich:dataTable>
							<br />
						</div>
					</div>
				</div>
			</gri:popupPanel>
			</s:div>
		</h:form>
	</ui:define>
</ui:composition>
